--- gicq-1.2.1.orig/src/gicq.c.orig	Tue Mar  9 15:17:49 1999
+++ gicq-1.2.1/src/gicq.c	Sat Mar 27 05:13:11 1999
@@ -27,6 +27,7 @@
 #include <gtk/gtk.h>
 #endif
 
+#include <stdio.h>
 #include <stdlib.h>
 #include <libicq.h>
 
@@ -341,6 +342,8 @@
   return status_button;
 }
 
+#define RC_FILE ".gtk/gtkrc"
+
 /* Command-line options must be powers of two;
    SetOptions returns a bitfield */
 
@@ -367,6 +370,7 @@
   GtkTooltips* status_tooltip;
 
   GtkStyle* style;
+  char *HOME, *RC_PATH;
 
   /* Check command-line options */
   options = SetOptions(argc, argv, OptStrings, OptVals);
@@ -385,8 +389,17 @@
   gnome_init("gicq", NULL, argc, argv);
   window = gnome_app_new("gicq", "GICQ");
 #else
+  gtk_set_locale();
   gtk_init(&argc, &argv);
-  gtk_rc_parse("gtkrc");
+
+  HOME = getenv("HOME");
+  if (!(RC_PATH = (char *)g_malloc(strlen(HOME)+strlen(RC_FILE)+2))) {
+      fprintf(stderr, "Memory allocation failed.\n");
+      exit(1);
+  }
+  sprintf(RC_PATH, "%s/%s", HOME, RC_FILE);
+  gtk_rc_parse(RC_PATH);
+  g_free(RC_PATH);
 
   window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
   gtk_window_set_title(GTK_WINDOW(window), "GICQ");
